Project

General

Profile

Bug #3541

Conflicting Debian packages: python3-osmopy-utils and osmocom-nitb

Added by osmith 13 days ago. Updated 11 days ago.

Status:
New
Priority:
Normal
Assignee:
-
Target version:
-
Start date:
09/10/2018
Due date:
% Done:

0%

Estimated time:
Spec Reference:

Description

During the implementation of #3176 I have discovered the following conflict when installing both packages:

Unpacking python3-osmopy-utils (0.0.9.20180909) ...
dpkg: error processing archive
/tmp/apt-dpkg-install-MovoKD/337-python3-osmopy-utils_0.0.9.20180909_all.deb (--unpack):
trying to overwrite '/usr/bin/soap.py', which is also in package osmocom-nitb 1.1.0.20180909

(this is only on "nightly", not in "latest")


Related issues

Related to Cellular Network Infrastructure - Bug #3176: osmocom debian packages are not install / upgrade testedIn Progress2018-04-16

History

#1 Updated by osmith 13 days ago

  • Parent task set to #3176

#2 Updated by neels 12 days ago

  • soap.py is installed by openbsc.git package osmocom-nitb (the rule to include openbsc/openbsc/contrib/*.py).
  • soap.py is also installed by python3-osmopy-utils osmo-python-tests.git.

The old openbsc.git also used the osmo-python-tests.git, but apparently during the repository move, it was decided to move soap.py over to osmo-python-tests.git.
So I think we should drop soap.py from openbsc.git, osmo-nitb package, to allow installing the python tests suite alongside osmo-nitb?
I'm tempted to actually drop all of the .py scripts from the osmo-nitb package, but there still are some that don't exist in osmo-python-tests.git.

openbsc/openbsc/contrib/bsc_control.py*
openbsc/openbsc/contrib/bt.py*
openbsc/openbsc/contrib/convert_to_enum.py*
openbsc/openbsc/contrib/ctrl2sse.py*
openbsc/openbsc/contrib/ipa.py*
openbsc/openbsc/contrib/mgcp_server.py*
openbsc/openbsc/contrib/soap.py*
openbsc/openbsc/contrib/twisted_ipa.py*
osmo-python-tests/scripts/ctrl2cgi.py*
osmo-python-tests/scripts/osmo_ctrl.py*
osmo-python-tests/scripts/osmodumpdoc.py
osmo-python-tests/scripts/osmo_interact_ctrl.py*
osmo-python-tests/scripts/osmo_interact_vty.py*
osmo-python-tests/scripts/osmo_rate_ctr2csv.py
osmo-python-tests/scripts/osmotestconfig.py
osmo-python-tests/scripts/osmotestvty.py
osmo-python-tests/scripts/osmo_verify_transcript_ctrl.py*
osmo-python-tests/scripts/osmo_verify_transcript_vty.py*
osmo-python-tests/scripts/soap.py*

Does anyone else have an opinion what to do about .py scripts in osmo-nitb?
Personally, I don't use any one of them, so no idea whether they are important to anyone else.

#3 Updated by osmith 11 days ago

  • Parent task deleted (#3176)

#4 Updated by osmith 11 days ago

  • Related to Bug #3176: osmocom debian packages are not install / upgrade tested added

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 48.8 MB)